version: "2"
plugins:
  duplication:
    enabled: true
    config:
      languages:
        javascript:
          mass_threshold: 50
  sass-lint:
    enabled: true
    config:
      config: .sass-lint.yml
  eslint:
    enabled: true
    channel: "eslint-5"
    config:
      config: .eslintrc.yml
exclude_patterns:
  - "node_modules/**"
  - "vendor/**"
  - "db/**"
  - "config/**"
  - "docs/**"
  - "test/**"